# ``twisted`.`logger`.`_flatten``

module documentation
(source)

Code related to "flattening" events; that is, extracting a description of all relevant fields from the format string and persisting them for later examination.

Class | `KeyFlattener` | A `KeyFlattener` computes keys for the things within curly braces in PEP-3101-style format strings as parsed by `string.Formatter.parse`.
Function | `flatFormat` | Format an event which has been flattened with `flattenEvent`.
Function | `flattenEvent` | Flatten the given event by pre-associating format fields with specific objects and callable results in a `dict` put into the `"log_flattened"` key in the event.
Variable | `aFormatter` | Undocumented

def flatFormat(event): (source)
Format an event which has been flattened with `flattenEvent`.

Parameters
event:`LogEvent` | A logging event.
Returns
`str` | A formatted string.

def flattenEvent(event): (source)
Flatten the given event by pre-associating format fields with specific objects and callable results in a `dict` put into the `"log_flattened"` key in the event.

Parameters
event:`LogEvent` | A logging event.

aFormatter = (source)

Undocumented